Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:        ICQ client LICQ.
Name:		licq
Version:	1.3.5
Release:	1
Group:		Networking/Instant Messaging
License:	GPL
URL:		http://www.licq.org
Source:		%{name}-%{version}.tar.bz2
Source1:	cdk-4.9.11-20031210.tgz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	xorg-x11-server-Xorg
Requires:	openssl
Requires:	qt >= 3.3.6
Requires:	kdebase >= 3.5.4
Requires:	gpgme
Requires:	ncurses
BuildRequires:	qt-devel >= 3.3.6
BuildRequires:	openssl-devel
BuildRequires:	xorg-x11-xtrans-devel xorg-x11-server-sdk xorg-x11-proto-devel
BuildRequires:	kdebase-devel >= 3.5.4 libxcb-devel
BuildRequires:	gpgme-devel
BuildRequires:	ncurses-devel

%description
An ICQ clone written in C and C++ using a plugin system to allow for
many possible interfaces.
See the webpage (http://www.licq.org) for more information.
Licq implements messages (online and offline), urls, chat, full file
transfer, gui configuration (with the qt-gui plugin), history as
well as a number of other features.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%prep
%setup -q -a1

%build
rm -rf %{buildroot}
./configure --prefix=%_prefix --mandir=%_mandir --sysconfdir=%_sysconfdir --enable-shared --enable-gpg
make
cd plugins/qt-gui
./configure --prefix=%_prefix --mandir=%_mandir --with-kde
make
make DESTDIR=$RPM_BUILD_ROOT install
./configure --prefix=%_prefix --mandir=%_mandir
make
cd -

# Only for getting the console plugin to compile

cd cdk-4.9.11-20031210
./configure --disable-shared --enable-static
make
cp libcdk.a ../plugins/console
cp libcdk.a ../plugins/console/src
mkdir ../plugins/console/include
cp include/*.h ../plugins/console/
cd -
for i in auto-reply rms msn osd console email
do
cd plugins/${i}
LDFLAGS="-L./" ./configure --prefix=%_prefix --mandir=%_mandir
make
cd -
done

%install
make DESTDIR=$RPM_BUILD_ROOT install
for i in qt-gui auto-reply rms msn osd console email
do
cd plugins/${i}
make DESTDIR=$RPM_BUILD_ROOT install
cd -
done
rm -Rf $RPM_BUILD_ROOT/var
mkdir -p $RPM_BUILD_ROOT%_datadir/applications/kde
install -m 644 plugins/qt-gui/share/licq.desktop $RPM_BUILD_ROOT%_datadir/applications/kde/licq.desktop
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir/licq/*.so
%_datadir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/licq/*.la

%changelog
* Mon Oct 29 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.3.5-1
- Version Update
* Tue Sep 11 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.3.4-2
- Rebuild against Xorg 7.2
* Fri Oct 20 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.4-1
- Version update
* Tue Sep 19 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.2-2
- rebuild against latest xorg
* Sun Oct 23 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.3.2-1
- Version Update
* Wed Oct 19 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.3.0-1
- Initial Release
